PETSc version 3.17.4
Fix/Edit manual page

# DMMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMMonitorSetFromOptions(DM dm, const char name[], const char help[], const char manual[], PetscErrorCode (*monitor)(DM, void *), PetscErrorCode (*monitorsetup)(DM, PetscViewerAndFormat *), PetscBool *flg)

Collective on DM

### Input Parameters

| dm | - DM object you wish to monitor
| name | - the monitor type one is seeking
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function
| monitorsetup | - a function that is called once ONLY if the user selected this monitor that may set additional features of the DM or PetscViewer objects

### Output Parameter

| flg | - Flag set if the monitor was created

### See Also

PetscOptionsGetViewer(), PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages